Tesztkatalógus
Biomarker lekérése
Egyetlen biomarker lekérése azonosító alapján
GET
/
api
/
v1
/
biomarkers
/
{id}
curl --url 'https://anivahealth.com/api/v1/biomarkers/42?home_kit=true' \
--header 'x-api-key: YOUR_API_KEY'
{
"id": 42,
"slug": "vitamin-d-25-oh",
"name": "Vitamin D (25-OH)",
"description": "Serum 25-hydroxyvitamin D …",
"primary_category": "Vitamins",
"secondary_category": null,
"type": "clinical",
"material": "serum",
"unit": { "id": 1, "title": "nmol/L", "display_title": null },
"pricing": {
"price_cents": 3952,
"retail_cents": 4549,
"tier": "specialty"
}
}
{
"id": 77,
"slug": "mean-platelet-volume",
"name": "Mean Platelet Volume (MPV)",
"description": null,
"primary_category": "Haematology",
"secondary_category": null,
"type": "clinical",
"material": "whole_blood",
"unit": { "id": 7, "title": "fL", "display_title": null },
"pricing": {
"price_cents": 0,
"retail_cents": 0,
"positions": [
{
"id": "3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b",
"name": "Blood Count (extended)",
"price_cents": 460,
"retail_cents": 529,
"biomarker_ids": [71, 72, 73, 77],
"includes": [71, 72, 73]
}
]
}
}
Egyetlen biomarkert ad vissza a numerikus
id alapján. Akkor hasznos, ha a Panelek listázása végpont vagy az időpontok adatai által visszaadott azonosítókat szeretnéd teljes részletességgel (név, mértékegység, mintaanyag, kategória) feloldani a teljes katalógus átvizsgálása nélkül.
Ugyanazt a katalógust szolgálja ki, mint a Biomarkerek listázása, ezért ugyanazt a forrást küldd el. Az archivált biomarker 404 választ ad. Ugyanez vonatkozik arra a biomarkerre is, amelyet a kulcsod által használható laborokkal nem rendelhetsz meg az adott forrásnál.
A panels_access scope szükséges hozzá. A pricing objektumhoz a prices_view scope is szükséges.
Útvonalparaméterek
Lekérdezési paraméterek
A forrás kétféle lehet: tesztelési helyszín vagy otthoni tesztkészlet. Pontosan egyet küldj el. Ha egyiket sem vagy mindkettőt megadod,400 választ kapsz.
- Tesztelési helyszín
- Otthoni tesztkészlet
Felülírja, hogy a
price_cents melyik árlistát használja: retail, vagy egy olyan árlista id azonosítója, amelyet a kulcsod használhat. Ezt az id azonosítót az Árlista lekérése adja vissza. Alapértelmezés szerint az API-kulcsod számlázási fiókjához tartozó árlistát használja, egyébként a fogyasztói árlistát.Válasz
Alapértelmezett mértékegység. Használd az
id mezőt a Mértékegységek listázása végponthoz való feloldáshoz,
ha az átnevezések során is stabil azonosításra van szükséged.Mennyibe kerül ez a biomarker és hogyan értékesítik — lásd az
árobjektumokat. Csak akkor
null, ha a
kulcsod nem rendelkezik a prices_view scope-pal; az Aniva által még nem beárazott biomarkert is
visszaadja a rendszer, pricing.price_cents: null értékkel.Hibaválaszok
| Státusz | Leírás |
|---|---|
400 | Érvényesítési hiba — érvénytelen id, hiányzó vagy két megadott forrás, illetve ismeretlen vagy nem engedélyezett rate_card. |
403 | Tiltott — hiányzik a panels_access scope. |
404 | A biomarker nem található, archivált, vagy nem rendelhető az adott forrásnál. Ismeretlen location_id esetén is ezt adja vissza. |
500 | Belső szerverhiba. |
curl --url 'https://anivahealth.com/api/v1/biomarkers/42?home_kit=true' \
--header 'x-api-key: YOUR_API_KEY'
{
"id": 42,
"slug": "vitamin-d-25-oh",
"name": "Vitamin D (25-OH)",
"description": "Serum 25-hydroxyvitamin D …",
"primary_category": "Vitamins",
"secondary_category": null,
"type": "clinical",
"material": "serum",
"unit": { "id": 1, "title": "nmol/L", "display_title": null },
"pricing": {
"price_cents": 3952,
"retail_cents": 4549,
"tier": "specialty"
}
}
{
"id": 77,
"slug": "mean-platelet-volume",
"name": "Mean Platelet Volume (MPV)",
"description": null,
"primary_category": "Haematology",
"secondary_category": null,
"type": "clinical",
"material": "whole_blood",
"unit": { "id": 7, "title": "fL", "display_title": null },
"pricing": {
"price_cents": 0,
"retail_cents": 0,
"positions": [
{
"id": "3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b",
"name": "Blood Count (extended)",
"price_cents": 460,
"retail_cents": 529,
"biomarker_ids": [71, 72, 73, 77],
"includes": [71, 72, 73]
}
]
}
}
⌘I
curl --url 'https://anivahealth.com/api/v1/biomarkers/42?home_kit=true' \
--header 'x-api-key: YOUR_API_KEY'
{
"id": 42,
"slug": "vitamin-d-25-oh",
"name": "Vitamin D (25-OH)",
"description": "Serum 25-hydroxyvitamin D …",
"primary_category": "Vitamins",
"secondary_category": null,
"type": "clinical",
"material": "serum",
"unit": { "id": 1, "title": "nmol/L", "display_title": null },
"pricing": {
"price_cents": 3952,
"retail_cents": 4549,
"tier": "specialty"
}
}
{
"id": 77,
"slug": "mean-platelet-volume",
"name": "Mean Platelet Volume (MPV)",
"description": null,
"primary_category": "Haematology",
"secondary_category": null,
"type": "clinical",
"material": "whole_blood",
"unit": { "id": 7, "title": "fL", "display_title": null },
"pricing": {
"price_cents": 0,
"retail_cents": 0,
"positions": [
{
"id": "3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b",
"name": "Blood Count (extended)",
"price_cents": 460,
"retail_cents": 529,
"biomarker_ids": [71, 72, 73, 77],
"includes": [71, 72, 73]
}
]
}
}